# PearPkgRole

Encapsulates file roles

package | phing.tasks.ext

### Methods

## Retrieves the file extension

    getExtension() : string

### Response

`string`

## Retrieves the role

    getRole() : string

### Response

`string`

## Sets the file extension

    setExtension(string $extension)

### Arguments

#### $extension

`string`

## Sets the role

    setRole(string $role)

### Arguments

#### $role

`string`

### Properties

## extension

    extension : string

var |

### Type(s)

`string`

## role

    role : string

var |

### Type(s)

`string`